Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 07-04-2017 14:47:44

deuchdeb
Moderato ma non troppo
Lieu : Ca bouge Ca bouge!!!
Distrib. : Debian 10 Buster KDE DFlinux et LinuxMintCinnamon
Noyau : Noyau stable
(G)UI : KDE Plasma 5.14, Xfce et Cinnamon
Inscription : 13-01-2010
Site Web

(WIKI) flatpak

Création de la page flatpak: https://debian-facile.org/doc:systeme:flatpak

Une fleur, c'est magique non? smile
Association Debian Facile

Hors ligne

#2 08-04-2017 12:30:39

deuchdeb
Moderato ma non troppo
Lieu : Ca bouge Ca bouge!!!
Distrib. : Debian 10 Buster KDE DFlinux et LinuxMintCinnamon
Noyau : Noyau stable
(G)UI : KDE Plasma 5.14, Xfce et Cinnamon
Inscription : 13-01-2010
Site Web

Re : (WIKI) flatpak

Bon les essais ne sont pas fameux:

Je fais des tests sur un vieux PC portable qui a 10ans avec Mate.

J'ai installé libroffice sans problème.
Par contre j'ai voulu installer Photos et ça ne fonctionne pas.
La fenêtre s'ouvre mais je ne peux rien faire.

flatpak run org.gnome.Photos


libGL error: failed to open drm device: No such file or directory
libGL error: failed to load driver: nouveau

** (gnome-photos:3): WARNING **: Unable to fetch the list of available renderers: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name com.intel.dleyna-renderer was not provided by any .service files

** (gnome-photos:3): WARNING **: Unable to call SetRdfTypes: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Tracker1.Miner.Extract was not provided by any .service files

** (gnome-photos:3): WARNING **: Unable to call ClearRdfTypes: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Tracker1.Miner.Extract was not provided by any .service files
denis@vieuxportable:~$ flatpak run org.gnome.Photos

** (gnome-photos:3): WARNING **: Unable to fetch the list of available renderers: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name com.intel.dleyna-renderer was not provided by any .service files

** (gnome-photos:3): WARNING **: Unable to call SetRdfTypes: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Tracker1.Miner.Extract was not provided by any .service files


Une fleur, c'est magique non? smile
Association Debian Facile

Hors ligne

#3 09-04-2017 10:27:02

kyodev
Banni(e)
Lieu : Lyon
Distrib. : Debian
Noyau : probablement stretch
(G)UI : variable selon l'humeur de naguam
Inscription : 18-08-2013

Re : (WIKI) flatpak

j'ai fait quelques tests pour comparer snapcraft/flatpak qui nécessite l'installation d'un "run-time" et/ou manager faisant  doublon avec apt.
la troisième solution  étant appImage, qui est complément portable, pas d'installation, je charge, je rends exécutable, je lance...
et Linus trouve ça cool wink  ( une application développée par lui est proposée par cette voie)(on peut aussi l'intégrer au bureau va un script)

si tu veux intégrer dans ton tuto?:

impression rapide, essai sur strech, gnome3:

flatpak, c'est du gnome intégré, peu d'applis, paquet à installer 3.4Mo
snap, c'est du ubuntu(tentative d'un nouveau manager de paquet?), paquet à installer snapd: 33Mo

taille des applis téléchargée:

libreoffice
manager apt :  587Mo!..
flatpak, version ??: 186MO
snap,  version 5.3.2.2 +375Mo
appImage, version 5.3. +262Mo

Krita (projet kde)
manager apt:  210Mo
appImage, version 3.1.2-x86_64: 81Mo

des liens:
https://snapcraft.io/
https://uappexplorer.com/apps?type=snappy

http://appimage.org/
https://github.com/probonopd/AppImageKit/wiki

https://github.com/flatpak/flatpak
http://flatpak.org/

j'ai pas testé le fonctionnement des applis ci-dessus, par contre j'utilise keepassXC dans une appImage, sans soucis

[mode aéré]

Hors ligne

#4 11-04-2017 14:26:47

deuchdeb
Moderato ma non troppo
Lieu : Ca bouge Ca bouge!!!
Distrib. : Debian 10 Buster KDE DFlinux et LinuxMintCinnamon
Noyau : Noyau stable
(G)UI : KDE Plasma 5.14, Xfce et Cinnamon
Inscription : 13-01-2010
Site Web

Re : (WIKI) flatpak

Merci kyodev,

En effet flatpak n'est que la première partie d'une série de trois tutos qui seront faits selon mes disponibilités.

Ces tutos ne se veulent pas exhaustifs sauf si ils sont complétés par d'autres bien entendu .
C'est plus pour dire que ça existe et que c'est possible d'essayer .

D'abord je vais un peu fignoler flatpak et ensuite on passera à snap.

Perso j'utilise Molotov.TV qui est une appimage et qui fonctionne très bien.
Des trois Appimage est la plus simple pour un débutant.
On décompresse, on trouve le fichier exécutable on double-clique et ça roule.
https://www.debian-fr.org/t/molotov-tv/70379

Une fleur, c'est magique non? smile
Association Debian Facile

Hors ligne

#5 11-04-2017 15:49:25

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : (WIKI) flatpak

Bonjour
@deuchdeb
tu a testé OpenGL sur ton vieux portable avec mesa-utils  (glxinfo et glxgears)
on dirai dans ton post qu il y a un problème avec opengl (libGL)


libGL error: failed to open drm device: No such file or directory
libGL error: failed to load driver: nouveau
 


voir aussi si ça tourne en i386 ou amd64 (au pire tu peu ajouter la prise en charge du 32 bits )
nota : je regarde si j'ai gnome photo installé

tu fais les tests sur quel OS sur ton portable , a priori  debian  jessie + mate ?
je fais le test sur une P5K-VM et un quad core Q9550 pas jeune non plus (stretch +mate )
voila le retour (ça fonctionne )


flatpak list
org.gnome.Photos

flatpak run org.gnome.Photos

(gnome-photos:3): Tracker-WARNING **: tracker-backend.vala:211: Falling back to bus backend,
the direct backend failed to initialize: Locale mismatch, cannot use direct connection
 



tu a bien un problème de ressources vidéo
l'intéret par rapport a une installation directe de gnome-photos ?

ps: je n'ai aucun menu actif sur Photos et je peu rien faire , j'ai un souci aussi hmm

j'ai le meme souci sur stretch + gnome , le logiciel ne fonctionne pas (aucun rapport avec flatpak , pourtant dans la description précisé  en local aussi )
je vai chercher un wiki de gnome photos hmm  => out.gif

Dernière modification par robert2a (11-04-2017 17:29:27)

Hors ligne

#6 11-04-2017 18:12:26

kyodev
Banni(e)
Lieu : Lyon
Distrib. : Debian
Noyau : probablement stretch
(G)UI : variable selon l'humeur de naguam
Inscription : 18-08-2013

Re : (WIKI) flatpak

ce qui me met mal à l'aise avec snap, c'est la taille du manager et la taille de l'exemple que j'ai pris, c'est loin d'être performant.
et surtout:

Snappy is a software deployment and package management system originally designed and built by Canonical for the Ubuntu phone operating system.

avec la pérennité et les objectifs réels visés...
appImage n'a pas de dépendances, a un nombre d'images déjà très important, est relativement facile à construire et à l'air de séduire Linus Torvalds (ce qui n'est pas forcément une référence pour tous, mais bon).

je ne vois pas l'intérêt d'autres managers sous debian.
après si on veut des applis récentes ou upToDate, autant aller dans le simple.

non?


[mode aéré]

Hors ligne

#7 11-04-2017 19:36:14

deuchdeb
Moderato ma non troppo
Lieu : Ca bouge Ca bouge!!!
Distrib. : Debian 10 Buster KDE DFlinux et LinuxMintCinnamon
Noyau : Noyau stable
(G)UI : KDE Plasma 5.14, Xfce et Cinnamon
Inscription : 13-01-2010
Site Web

Re : (WIKI) flatpak

robert2a a écrit :

l'intéret par rapport a une installation directe de gnome-photos ?



Oui on se pose un peu tous la même question. J"ai été attiré par le côté universel, ça marche partout.

Alors LibreOffice Ok.

Et puis Photo parce-que quitte à tester autant prendre un logiciel dont je me servirai. Mais bon si gnome ne fonctionne pas sur mon PC alors j'aurai du me douter que les applis Gnome même avec Flatpak, ça peut pas marcher.

Je vais ajouter quelques lignes sur le wiki pour attirer l'attention sur le côté pas si universel que ça.

kyodev a écrit :

après si on veut des applis récentes ou upToDate, autant aller dans le simple



Oui tu installes Fedora et tu auras les dernières nouveautés au moins pour ce qui est de gnome.

Ou les Backports avec Debian stable. A mon avis maintenant que c'est un dépôt officiel, il va y en avoir de plus en plus

Ou Ubuntu avec des ppa .


Une fleur, c'est magique non? smile
Association Debian Facile

Hors ligne

#8 12-04-2017 17:33:46

yoshi
Membre
Lieu : Normandie
Distrib. : PCLinuxOS
Noyau : Linux 5.8.13-pclos1
(G)UI : Mate-Desktop 1.24.1
Inscription : 05-03-2014

Re : (WIKI) flatpak

Salut,
Pour avoir du récent, je préfère utiliser une rolling comme Arch.
Je ne suis pas, mais alors pas du tout emballé par ces nouveaux systèmes d'installation de paquets "universels".
Avec ça, on rejoint direct le monde M$ et ses .exe

Hors ligne

#9 12-04-2017 18:06:33

kyodev
Banni(e)
Lieu : Lyon
Distrib. : Debian
Noyau : probablement stretch
(G)UI : variable selon l'humeur de naguam
Inscription : 18-08-2013

Re : (WIKI) flatpak

pas besoin de ces nouvelles manières, bon nombre utilise déjà des dépôts tiers, sans se poser la question si une confiance peut être accordée (ou en imaginant que de clés en sont une preuve?).
il y a même des proofs of concept de manipulation du post-processing pour télécharger et installer ce que l'on veut.
publié sur github sad donc bien visible
j'ai même vu sur le wiki ici, des exemples de dépôts...non officiels on va dire, en démonstration

[mode aéré]

Hors ligne

#10 12-04-2017 18:16:11

yoshi
Membre
Lieu : Normandie
Distrib. : PCLinuxOS
Noyau : Linux 5.8.13-pclos1
(G)UI : Mate-Desktop 1.24.1
Inscription : 05-03-2014

Re : (WIKI) flatpak

Pas rassurant tout ça ........... sad

Hors ligne

#11 12-04-2017 18:27:37

kyodev
Banni(e)
Lieu : Lyon
Distrib. : Debian
Noyau : probablement stretch
(G)UI : variable selon l'humeur de naguam
Inscription : 18-08-2013

Re : (WIKI) flatpak

y'a rien d'anormal sur le principe, ça ne remets pas en cause le bon principe de debian, mais lors d'une install c'est root qui bosse, no-limit...

mais avec un peu de laxisme, cela ne fait que jouer sur le bug utilisateur, comme ça a pu se produire avec win.
combien se pose la question de confiance en utilisant un dépôt tiers (comme multimedia par exemple, encore aujourd'hui)?

et je me demande même si le fait d'être sur linux n'amplifie pas un sentiment de sécurité exagéré (se reposant sur root).

/fin de mauvais augure

[mode aéré]

Hors ligne

#12 13-04-2017 10:32:19

deuchdeb
Moderato ma non troppo
Lieu : Ca bouge Ca bouge!!!
Distrib. : Debian 10 Buster KDE DFlinux et LinuxMintCinnamon
Noyau : Noyau stable
(G)UI : KDE Plasma 5.14, Xfce et Cinnamon
Inscription : 13-01-2010
Site Web

Re : (WIKI) flatpak

J'ai fait quelques remarques dont celle-ci:

Par ailleurs le fait que le logiciel soit isoler du système fait qu'il doit être installer avec toutes ses dépendances. Cela implique, qu'il faut bien avoir en tête que si le développeur ne tient pas trop à jour son paquet Flatpak on peut se retrouver avec des dépendances non à jours et des failles de sécurités. Un peu comme sur Windows.



Reste à savoir comment ces failles peuvent être exploités.


Une fleur, c'est magique non? smile
Association Debian Facile

Hors ligne

#13 27-02-2018 20:41:25

deuchdeb
Moderato ma non troppo
Lieu : Ca bouge Ca bouge!!!
Distrib. : Debian 10 Buster KDE DFlinux et LinuxMintCinnamon
Noyau : Noyau stable
(G)UI : KDE Plasma 5.14, Xfce et Cinnamon
Inscription : 13-01-2010
Site Web

Re : (WIKI) flatpak

Mise à jour vers Stretch et vers le nouveau dépôt Flathub d'applications.

Fait un test avec Minitube sous KDE sans soucis.

Mais bien compter 10 minutes pour l'installer.

Une fleur, c'est magique non? smile
Association Debian Facile

Hors ligne

#14 01-12-2019 04:59:21

Edenris
Membre
Distrib. : dual-boot Windows 10 - Ubuntu 18.04 LTS
Noyau : 5.0.0-36-generic #39~18.04.1-Ubuntu
(G)UI : Gnome
Inscription : 16-08-2019

Re : (WIKI) flatpak

J'ai écrit trop vite... Désolé pour les notifs...

Dernière modification par Edenris (01-12-2019 05:00:18)


Ici, pour peut-être, revenir sur Debian smile

Hors ligne

#15 12-05-2020 06:57:14

deuchdeb
Moderato ma non troppo
Lieu : Ca bouge Ca bouge!!!
Distrib. : Debian 10 Buster KDE DFlinux et LinuxMintCinnamon
Noyau : Noyau stable
(G)UI : KDE Plasma 5.14, Xfce et Cinnamon
Inscription : 13-01-2010
Site Web

Re : (WIKI) flatpak

Ajout dans le wiki : Intégration aux gestionnaires de paquets graphiques Gnome et KDE

Une fleur, c'est magique non? smile
Association Debian Facile

Hors ligne

#16 14-05-2020 02:29:16

Edenris
Membre
Distrib. : dual-boot Windows 10 - Ubuntu 18.04 LTS
Noyau : 5.0.0-36-generic #39~18.04.1-Ubuntu
(G)UI : Gnome
Inscription : 16-08-2019

Re : (WIKI) flatpak

Merci @deuchdeb ! smile ça me fera gagner du temps si je veux utiliser pleinement un jour la logithèque de KDE (qui m'a l'air moins gourmande en ressources que celle de Gnome et qui n'est pas austère, comme l'est un peu Synaptic).

En fait, sur l'ordinateur d'un proche, j'ai pu tester cette logithèque, installée par défaut à présent sur Lubuntu (ils ont fait un mélange LXDE / KDE) ?!

Ici, pour peut-être, revenir sur Debian smile

Hors ligne

#17 04-06-2020 18:56:38

deuchdeb
Moderato ma non troppo
Lieu : Ca bouge Ca bouge!!!
Distrib. : Debian 10 Buster KDE DFlinux et LinuxMintCinnamon
Noyau : Noyau stable
(G)UI : KDE Plasma 5.14, Xfce et Cinnamon
Inscription : 13-01-2010
Site Web

Re : (WIKI) flatpak

Mise à jour des dépôts flathub.

Une fleur, c'est magique non? smile
Association Debian Facile

Hors ligne

#18 05-06-2020 09:09:34

Grégory1899
Membre
Lieu : Lille
Distrib. : Debian GNU/Linux 10.6 (buster)
Noyau : 4.19.0-10-amd64
(G)UI : GNOME 3.30.2
Inscription : 20-10-2019

Re : (WIKI) flatpak

deuchdeb a écrit :

Mise à jour des dépôts flathub.


Serait-ce pour cela que la commande :

flatpak update



me donne :

Looking for updates…
F: Error updating remote metadata for 'flathub': GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.videolan.VLC.Locale/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find runtime/org.videolan.VLC.Locale/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.mozilla.firefox.Locale/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find runtime/org.mozilla.firefox.Locale/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.mozilla.Thunderbird.Locale/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find runtime/org.mozilla.Thunderbird.Locale/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.libreoffice.LibreOffice.Locale/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find runtime/org.libreoffice.LibreOffice.Locale/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.kde.WaylandDecoration.QGnomePlatform_decoration.Sources/x86_64/5.14 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find runtime/org.kde.WaylandDecoration.QGnomePlatform_decoration.Sources/x86_64/5.14 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.kde.WaylandDecoration.QGnomePlatform-decoration/x86_64/5.14 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find runtime/org.kde.WaylandDecoration.QGnomePlatform-decoration/x86_64/5.14 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.kde.PlatformTheme.QGnomePlatform/x86_64/5.14 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find runtime/org.kde.PlatformTheme.QGnomePlatform/x86_64/5.14 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.kde.PlatformTheme.QGnomePlatform.Sources/x86_64/5.14 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find runtime/org.kde.PlatformTheme.QGnomePlatform.Sources/x86_64/5.14 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.kde.Platform/x86_64/5.14 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find runtime/org.kde.Platform/x86_64/5.14 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.kde.Platform.Locale/x86_64/5.14 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find runtime/org.kde.Platform.Locale/x86_64/5.14 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.kde.KStyle.Adwaita/x86_64/5.14 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find runtime/org.kde.KStyle.Adwaita/x86_64/5.14 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.gnome.Shotwell.Locale/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find runtime/org.gnome.Shotwell.Locale/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.gnome.Rhythmbox3.Locale/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find runtime/org.gnome.Rhythmbox3.Locale/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.gnome.Platform/x86_64/3.36 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find runtime/org.gnome.Platform/x86_64/3.36 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.gnome.Platform/x86_64/3.34 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find runtime/org.gnome.Platform/x86_64/3.34 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.gnome.Platform.Locale/x86_64/3.36 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find runtime/org.gnome.Platform.Locale/x86_64/3.36 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.gnome.Platform.Locale/x86_64/3.34 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find runtime/org.gnome.Platform.Locale/x86_64/3.34 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.freedesktop.Platform/x86_64/19.08 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find runtime/org.freedesktop.Platform/x86_64/19.08 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.freedesktop.Platform.openh264/x86_64/2.0 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find runtime/org.freedesktop.Platform.openh264/x86_64/2.0 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.freedesktop.Platform.VAAPI.Intel/x86_64/19.08 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find runtime/org.freedesktop.Platform.VAAPI.Intel/x86_64/19.08 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.freedesktop.Platform.Locale/x86_64/19.08 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find runtime/org.freedesktop.Platform.Locale/x86_64/19.08 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.freedesktop.Platform.GL.default/x86_64/19.08 is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find runtime/org.freedesktop.Platform.GL.default/x86_64/19.08 metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.audacityteam.Audacity.Locale/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find runtime/org.audacityteam.Audacity.Locale/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since runtime/org.audacityteam.Audacity.Codecs/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find runtime/org.audacityteam.Audacity.Codecs/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since app/tv.kodi.Kodi/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find app/tv.kodi.Kodi/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since app/org.vim.Vim/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find app/org.vim.Vim/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since app/org.videolan.VLC/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find app/org.videolan.VLC/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since app/org.mozilla.firefox/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find app/org.mozilla.firefox/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since app/org.mozilla.Thunderbird/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find app/org.mozilla.Thunderbird/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since app/org.libreoffice.LibreOffice/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find app/org.libreoffice.LibreOffice/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since app/org.gnome.Shotwell/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find app/org.gnome.Shotwell/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since app/org.gnome.Rhythmbox3/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find app/org.gnome.Rhythmbox3/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since app/org.gimp.GIMP/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find app/org.gimp.GIMP/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since app/org.audacityteam.Audacity/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find app/org.audacityteam.Audacity/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since app/com.github.micahflee.torbrowser-launcher/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can't find app/com.github.micahflee.torbrowser-launcher/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
F: Warning: Treating remote fetch error as non-fatal since app/com.bitwarden.desktop/x86_64/stable is already installed: Unable to load summary from remote flathub: GPG signatures found, but none are in trusted keyring
F: Warning: Can'
t find app/com.bitwarden.desktop/x86_64/stable metadata for dependencies: Unable to load metadata from remote flathub: summary fetch error: GPG signatures found, but none are in trusted keyring
Nothing to do.



J'ai bien envie de déflatpaker mon ordi, pour revenir à des versions de logiciels moins récentes, mais stables. Enfin, pour celles qui figurent dans les dépôts.
Comment me conseilleriez-vous de procéder pour que ce soit fait proprement ?
Désinstaller un à un chaque logiciel après en avoir établi la liste pour le remplacer ensuite par sa version stable ?
Et comment désinstaller sans risque définitivement flatpak ? Un simple

apt-get remove flatpak

est envisageable ?
scratchhead.gif
Merci.

Hors ligne

#19 05-06-2020 10:43:59

deuchdeb
Moderato ma non troppo
Lieu : Ca bouge Ca bouge!!!
Distrib. : Debian 10 Buster KDE DFlinux et LinuxMintCinnamon
Noyau : Noyau stable
(G)UI : KDE Plasma 5.14, Xfce et Cinnamon
Inscription : 13-01-2010
Site Web

Re : (WIKI) flatpak

flatpak update ce fait en mode simple utilisateur.

Ensuite, oui, les dépôts indiqués dans le wiki ont été changés car j'avais la même erreur que toi.

flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo




Ensuite, si  tu préfères, tu peux supprimer flatpak sans rique car il n'y a aucune interaction avec le système. Flatpak fonctionne dans un bac à sable.

il faut d'abord supprimer tes applications

flatpak uninstall APPLICATION



et ensuite:

apt-get remove flatpak



Wiki flatpak: https://debian-facile.org/doc:systeme:flatpak


Une fleur, c'est magique non? smile
Association Debian Facile

Hors ligne

#20 05-06-2020 10:49:27

Grégory1899
Membre
Lieu : Lille
Distrib. : Debian GNU/Linux 10.6 (buster)
Noyau : 4.19.0-10-amd64
(G)UI : GNOME 3.30.2
Inscription : 20-10-2019

Re : (WIKI) flatpak

Je te remercie. yes.gif
J'hésite car je me suis habitué à flatpak. Cruel dilemme...

Hors ligne

#21 05-06-2020 10:55:02

deuchdeb
Moderato ma non troppo
Lieu : Ca bouge Ca bouge!!!
Distrib. : Debian 10 Buster KDE DFlinux et LinuxMintCinnamon
Noyau : Noyau stable
(G)UI : KDE Plasma 5.14, Xfce et Cinnamon
Inscription : 13-01-2010
Site Web

Re : (WIKI) flatpak

Flatpak est simpa mais je pense qu'il faut l'utiliser qu'avec parcimonie si pas d'autres choix pour obtenir un logiciel.

Une fleur, c'est magique non? smile
Association Debian Facile

Hors ligne

#22 05-06-2020 15:27:07

Grégory1899
Membre
Lieu : Lille
Distrib. : Debian GNU/Linux 10.6 (buster)
Noyau : 4.19.0-10-amd64
(G)UI : GNOME 3.30.2
Inscription : 20-10-2019

Re : (WIKI) flatpak

Encore merci pour tes réponses. Ne voulant pas polluer le sujet, j'ai essayé de t'envoyer un MP, mais apparemment ta boîte est pleine.
En effet, lorsque je fais l'inventaire de ce que j'ai installé sur mon PC par flatpak, je me retrouve avec ça :

 Bitwarden - A secure and free password manager for all of your devices            com.bitwarden.desktop                              1.18.0   stable x86_64 flathub system
Freedesktop Platform - Shared libraries                                           org.freedesktop.Platform                           19.08.11 19.08  x86_64 flathub system
default                                                                           org.freedesktop.Platform.GL.default                         19.08  x86_64 flathub system
Intel                                                                             org.freedesktop.Platform.VAAPI.Intel                        19.08  x86_64 flathub system
openh264 - OpenH264 Video Codec provided by Cisco Systems, Inc.                   org.freedesktop.Platform.openh264                           2.0    x86_64 flathub system
GNOME Application Platform version 3.34 - Shared libraries used by GNOME applica… org.gnome.Platform                                          3.34   x86_64 flathub system
GNOME Application Platform version 3.36 - Shared libraries used by GNOME applica… org.gnome.Platform                                          3.36   x86_64 flathub system
Adwaita theme - Adwaita widget theme matching the GNOME adwaita theme             org.kde.KStyle.Adwaita                                      5.14   x86_64 flathub system
KDE Application Platform - Shared libraries used by KDE applications              org.kde.Platform                                            5.14   x86_64 flathub system
QGnomePlatform - Qt Platform Theme aimed to accommodate GNOME settings            org.kde.PlatformTheme.QGnomePlatform                        5.14   x86_64 flathub system
QGnomePlatform-decoration - Qt Platform Theme aimed to accommodate GNOME settings …g.kde.WaylandDecoration.QGnomePlatform-decoration          5.14   x86_64 flathub system
LibreOffice - The LibreOffice productivity suite                                  org.libreoffice.LibreOffice                        6.4.4.2  stable x86_64 flathub system
Firefox - Firefox Web Browser                                                     org.mozilla.firefox                                77.0.1   stable x86_64 fla



Si pour Bitwarden LibreOffice ou Firefox c'est bon, je me demande si je peux supprimer les autres, notamment les extensions système Gnome. Y-at'il un risque que cette suppression fasse des dégâts ?
Ou alors, comme tu me l'as dit, ça n'impactera pas ma machine.
Merci bien.

Hors ligne

#23 06-06-2020 08:28:18

nam1962
Membre
Distrib. : Manjaro, Debian, Xubuntu, Yunohost
Noyau : Ca dépend
(G)UI : Xfce
Inscription : 02-08-2017
Site Web

Re : (WIKI) flatpak

Peut-être pas ce dont tu as besoin, mais pour nettoyer flatpak, je passe de temps à autres :

flatpak uninstall --unused


Almanet doLys de l'open source : mon tuto pour optimiser / finaliser une install
Manjaro Xfce - Debian Xfce - Yunohost - Xubuntu Et vous ?
59 convertis  IRL (n'ont pas eu le choix...).

Hors ligne

#24 07-06-2020 12:56:04

Grégory1899
Membre
Lieu : Lille
Distrib. : Debian GNU/Linux 10.6 (buster)
Noyau : 4.19.0-10-amd64
(G)UI : GNOME 3.30.2
Inscription : 20-10-2019

Re : (WIKI) flatpak

nam1962 a écrit :

Peut-être pas ce dont tu as besoin, mais pour nettoyer flatpak, je passe de temps à autres :

flatpak uninstall --unused


Merci pour le conseil de cette commande. yes.gif

Hors ligne

Pied de page des forums